--- old/usr/src/lib/libm/common/Q/sinl.c	2019-06-06 20:38:58.872038495 +0000
+++ new/usr/src/lib/libm/common/Q/sinl.c	2019-06-06 20:38:58.889147348 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -65,29 +66,33 @@
 #include "longdouble.h"
 
 long double
-sinl(long double x) {
+sinl(long double x)
+{
 	long double y[2], z = 0.0L;
 	int n, ix;
 
-	ix = *(int *) &x;		/* High word of x */
+	ix = *(int *)&x;		/* High word of x */
 	ix &= 0x7fffffff;
-	if (ix <= 0x3ffe9220)		/* |x| ~< pi/4 */
+
+	if (ix <= 0x3ffe9220) {		/* |x| ~< pi/4 */
 		return (__k_sinl(x, z));
-	else if (ix >= 0x7fff0000)	/* sin(Inf or NaN) is NaN */
+	} else if (ix >= 0x7fff0000) {	/* sin(Inf or NaN) is NaN */
 		return (x - x);
-	else {				/* argument reduction needed */
+	} else {			/* argument reduction needed */
 		n = __rem_pio2l(x, y);
+
 		switch (n & 3) {
-			case 0:
-				return (__k_sinl(y[0], y[1]));
-			case 1:
-				return (__k_cosl(y[0], y[1]));
-			case 2:
-				return (-__k_sinl(y[0], y[1]));
-			case 3:
-				return (-__k_cosl(y[0], y[1]));
+		case 0:
+			return (__k_sinl(y[0], y[1]));
+		case 1:
+			return (__k_cosl(y[0], y[1]));
+		case 2:
+			return (-__k_sinl(y[0], y[1]));
+		case 3:
+			return (-__k_cosl(y[0], y[1]));
 		}
 	}
+
 	/* NOTREACHED */
-    return 0.0L;
+	return (0.0L);
 }
